* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/fibers/
@ 2023-01-30 23:45 Maciej Barć
0 siblings, 0 replies; 4+ messages in thread
From: Maciej Barć @ 2023-01-30 23:45 UTC (permalink / raw
To: gentoo-commits
commit: 3482215046c22a35452f5c60e500fa5779d0b9a3
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 30 23:25:23 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Jan 30 23:25:23 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34822150
dev-scheme/fibers: new package; add 1.2.0
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-scheme/fibers/Manifest | 1 +
dev-scheme/fibers/fibers-1.2.0.ebuild | 39 +++++++++++++++++++++++++++++++++++
dev-scheme/fibers/metadata.xml | 22 ++++++++++++++++++++
3 files changed, 62 insertions(+)
diff --git a/dev-scheme/fibers/Manifest b/dev-scheme/fibers/Manifest
new file mode 100644
index 000000000000..fa9b8cd04f82
--- /dev/null
+++ b/dev-scheme/fibers/Manifest
@@ -0,0 +1 @@
+DIST fibers-1.2.0.tar.gz 104975 BLAKE2B d43175eeb03bf8ed1100e948423e0e7abb5ae1d859f3d4dd82f775b7b0ff477d99d1d2fffd9ccf0a1c19ab398f33eb1d7cefad30ba1991a63a63755ae38e6f07 SHA512 3113e287ab2b09c54c14a5c4d2b0330fcfc96281ec6f234655acadfb5a3c0a2872b602089e4fa025f42ba52749e71121062057029097f0957d71e97c0e4e9c71
diff --git a/dev-scheme/fibers/fibers-1.2.0.ebuild b/dev-scheme/fibers/fibers-1.2.0.ebuild
new file mode 100644
index 000000000000..ca3a3103affc
--- /dev/null
+++ b/dev-scheme/fibers/fibers-1.2.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Lightweight concurrency facility for Guile Scheme"
+HOMEPAGE="https://github.com/wingo/fibers/
+ https://github.com/wingo/fibers/wiki/Manual/"
+SRC_URI="https://github.com/wingo/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="strip"
+
+RDEPEND=">=dev-scheme/guile-2.1.7:="
+DEPEND="${RDEPEND}"
+
+# guile generates ELF files without use of C or machine code
+# It's a portage's false positive. bug #677600
+QA_PREBUILT='*[.]go'
+
+src_prepare() {
+ default
+
+ # http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38112
+ find "${S}" -name "*.scm" -exec touch {} + || die
+
+ eautoreconf
+}
+
+src_install() {
+ default
+
+ find "${D}" -name "*.la" -delete || die
+}
diff --git a/dev-scheme/fibers/metadata.xml b/dev-scheme/fibers/metadata.xml
new file mode 100644
index 000000000000..c95b5f88b1d8
--- /dev/null
+++ b/dev-scheme/fibers/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+ <maintainer type="project">
+ <email>scheme@gentoo.org</email>
+ <name>Gentoo Scheme Project</name>
+ </maintainer>
+ <longdescription>
+ Fibers is a Guile library that implements a a lightweight concurrency
+ facility, inspired by systems like Concurrent ML, Go, and Erlang. A fiber
+ is like a "goroutine" from the Go language: a lightweight thread-like
+ abstraction. Systems built with Fibers can scale up to millions of
+ concurrent fibers, tens of thousands of concurrent socket connections, and
+ many parallel cores. The Fibers library also provides Concurrent ML-like
+ channels for communication between fibers.
+ </longdescription>
+ <upstream>
+ <bugs-to>https://gitlab.com/wingo/fibers/-/issues/</bugs-to>
+ <remote-id type="github">wingo/fibers</remote-id>
+ </upstream>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/fibers/
@ 2023-05-22 1:19 Maciej Barć
0 siblings, 0 replies; 4+ messages in thread
From: Maciej Barć @ 2023-05-22 1:19 UTC (permalink / raw
To: gentoo-commits
commit: 83ce72185e7effb0e8444c045cb21b6995b266d0
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon May 22 00:33:15 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon May 22 01:19:49 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83ce7218
dev-scheme/fibers: bump to 1.2.0_p20230522
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-scheme/fibers/Manifest | 1 +
dev-scheme/fibers/fibers-1.2.0_p20230522.ebuild | 49 +++++++++++++++++++++++++
2 files changed, 50 insertions(+)
diff --git a/dev-scheme/fibers/Manifest b/dev-scheme/fibers/Manifest
index fa9b8cd04f82..12710e3d869d 100644
--- a/dev-scheme/fibers/Manifest
+++ b/dev-scheme/fibers/Manifest
@@ -1 +1,2 @@
DIST fibers-1.2.0.tar.gz 104975 BLAKE2B d43175eeb03bf8ed1100e948423e0e7abb5ae1d859f3d4dd82f775b7b0ff477d99d1d2fffd9ccf0a1c19ab398f33eb1d7cefad30ba1991a63a63755ae38e6f07 SHA512 3113e287ab2b09c54c14a5c4d2b0330fcfc96281ec6f234655acadfb5a3c0a2872b602089e4fa025f42ba52749e71121062057029097f0957d71e97c0e4e9c71
+DIST fibers-1.2.0_p20230522.tar.gz 108368 BLAKE2B 4d7b773d29b235c94a86b55e17d8cbf1544024e803a00681f46221483f9112da954befb612ba2ceaa185ec6992b049a9fb144f32331ab7699436d8e107de8b10 SHA512 1ea2a6a56bbae88244a3f606cef24087949b18aa931af4d98ee1212665a93cb107cc9f8a1d250b45954f76979002656eac002105e6b3b82c0422ddb9006602d9
diff --git a/dev-scheme/fibers/fibers-1.2.0_p20230522.ebuild b/dev-scheme/fibers/fibers-1.2.0_p20230522.ebuild
new file mode 100644
index 000000000000..419260f126f5
--- /dev/null
+++ b/dev-scheme/fibers/fibers-1.2.0_p20230522.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+[[ ${PV} == *_p20230522 ]] && COMMIT=83712f630a976e3084329c9917c40bde19fcc7e5
+
+inherit autotools
+
+DESCRIPTION="Lightweight concurrency facility for Guile Scheme"
+HOMEPAGE="https://github.com/wingo/fibers/
+ https://github.com/wingo/fibers/wiki/Manual/"
+SRC_URI="https://github.com/wingo/${PN}/archive/${COMMIT}.tar.gz
+ -> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}-${COMMIT}
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=dev-scheme/guile-2.1.7:="
+DEPEND="${RDEPEND}"
+
+# guile generates ELF files without use of C or machine code
+# It's a portage's false positive. bug #677600
+QA_PREBUILT='*[.]go'
+
+src_prepare() {
+ default
+
+ # http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38112
+ find "${S}" -name "*.scm" -exec touch {} + || die
+
+ eautoreconf
+}
+
+src_configure() {
+ econf --disable-Werror
+}
+
+src_install() {
+ default
+
+ find "${ED}" -type f -name "*.la" -delete || die
+
+ # Workaround llvm-strip problem of mangling guile ELF debug
+ # sections: https://bugs.gentoo.org/905898
+ dostrip -x "/usr/$(get_libdir)/guile"
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/fibers/
@ 2023-05-22 1:19 Maciej Barć
0 siblings, 0 replies; 4+ messages in thread
From: Maciej Barć @ 2023-05-22 1:19 UTC (permalink / raw
To: gentoo-commits
commit: 7937bc1ac5517948b3bf6fa047e1078ea361f5d3
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon May 22 00:29:05 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon May 22 01:19:49 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7937bc1a
dev-scheme/fibers: disable Werror
Closes: https://bugs.gentoo.org/906862
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-scheme/fibers/fibers-1.2.0.ebuild | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/dev-scheme/fibers/fibers-1.2.0.ebuild b/dev-scheme/fibers/fibers-1.2.0.ebuild
index 55c24d617cea..5bedc28e5196 100644
--- a/dev-scheme/fibers/fibers-1.2.0.ebuild
+++ b/dev-scheme/fibers/fibers-1.2.0.ebuild
@@ -31,6 +31,10 @@ src_prepare() {
eautoreconf
}
+src_configure() {
+ econf --disable-Werror
+}
+
src_install() {
default
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-scheme/fibers/
@ 2023-07-08 21:22 Maciej Barć
0 siblings, 0 replies; 4+ messages in thread
From: Maciej Barć @ 2023-07-08 21:22 UTC (permalink / raw
To: gentoo-commits
commit: 580171e0ab779bd6c42e76e56a57a8ad96fc9206
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 8 19:32:35 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Jul 8 21:22:16 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=580171e0
dev-scheme/fibers: drop old 1.2.0
Closes: https://bugs.gentoo.org/904825
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-scheme/fibers/Manifest | 1 -
dev-scheme/fibers/fibers-1.2.0.ebuild | 46 -----------------------------------
2 files changed, 47 deletions(-)
diff --git a/dev-scheme/fibers/Manifest b/dev-scheme/fibers/Manifest
index 12710e3d869d..92ff7d3ebc3a 100644
--- a/dev-scheme/fibers/Manifest
+++ b/dev-scheme/fibers/Manifest
@@ -1,2 +1 @@
-DIST fibers-1.2.0.tar.gz 104975 BLAKE2B d43175eeb03bf8ed1100e948423e0e7abb5ae1d859f3d4dd82f775b7b0ff477d99d1d2fffd9ccf0a1c19ab398f33eb1d7cefad30ba1991a63a63755ae38e6f07 SHA512 3113e287ab2b09c54c14a5c4d2b0330fcfc96281ec6f234655acadfb5a3c0a2872b602089e4fa025f42ba52749e71121062057029097f0957d71e97c0e4e9c71
DIST fibers-1.2.0_p20230522.tar.gz 108368 BLAKE2B 4d7b773d29b235c94a86b55e17d8cbf1544024e803a00681f46221483f9112da954befb612ba2ceaa185ec6992b049a9fb144f32331ab7699436d8e107de8b10 SHA512 1ea2a6a56bbae88244a3f606cef24087949b18aa931af4d98ee1212665a93cb107cc9f8a1d250b45954f76979002656eac002105e6b3b82c0422ddb9006602d9
diff --git a/dev-scheme/fibers/fibers-1.2.0.ebuild b/dev-scheme/fibers/fibers-1.2.0.ebuild
deleted file mode 100644
index 5bedc28e5196..000000000000
--- a/dev-scheme/fibers/fibers-1.2.0.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit autotools
-
-DESCRIPTION="Lightweight concurrency facility for Guile Scheme"
-HOMEPAGE="https://github.com/wingo/fibers/
- https://github.com/wingo/fibers/wiki/Manual/"
-SRC_URI="https://github.com/wingo/${PN}/archive/v${PV}.tar.gz
- -> ${P}.tar.gz"
-
-LICENSE="LGPL-3+"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND=">=dev-scheme/guile-2.1.7:="
-DEPEND="${RDEPEND}"
-
-# guile generates ELF files without use of C or machine code
-# It's a portage's false positive. bug #677600
-QA_PREBUILT='*[.]go'
-
-src_prepare() {
- default
-
- # http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38112
- find "${S}" -name "*.scm" -exec touch {} + || die
-
- eautoreconf
-}
-
-src_configure() {
- econf --disable-Werror
-}
-
-src_install() {
- default
-
- find "${ED}" -type f -name "*.la" -delete || die
-
- # Workaround llvm-strip problem of mangling guile ELF debug
- # sections: https://bugs.gentoo.org/905898
- dostrip -x "/usr/$(get_libdir)/guile"
-}
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2023-07-08 21:22 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-07-08 21:22 [gentoo-commits] repo/gentoo:master commit in: dev-scheme/fibers/ Maciej Barć
-- strict thread matches above, loose matches on Subject: below --
2023-05-22 1:19 Maciej Barć
2023-05-22 1:19 Maciej Barć
2023-01-30 23:45 Maciej Barć
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox